Page MenuHomePhabricator

Remove tokipona support
Open, Needs TriagePublic

Description

Toki Pona is a constructed language without a standard language code. There used to be a Wikipedia in it, so MediaWiki supports localization into by having a json localization file in core and some extensions. However, the Wikipedia is closed (and moved to Wikia), and translatewiki doesn't support localization into it.

Since the code is non-standard and wider activity is not expected, the code and the json files should be removed. It would be nice to give the maintainers of the Wikia site a way to keep the localization, however.


Copying/adapting the (incomplete?) to-do list from merged task (T178730#3701525):

  • Toki Pona localization files be removed from MediaWiki,
  • the ability to add descriptions in Toki Pona be removed from Wikidata,
  • remove localizations from Translatewiki
  • Update the Tokipona portal to reflect this new status

Details

Related Gerrit Patches:

Event Timeline

Amire80 created this task.Apr 18 2016, 9:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 9:09 AM
Amire80 added a project: I18n.
Amire80 added a subscriber: siebrand.

Since translations to Tokipona are disabled, I'm okay removing it from MediaWiki.

Change 385771 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/core@master] Removed TokiPona localization files from MediaWiki/core

https://gerrit.wikimedia.org/r/385771

Change 385771 merged by jenkins-bot:
[mediawiki/core@master] Removed Toki Pona localization files

https://gerrit.wikimedia.org/r/385771

Change 386311 had a related patch set uploaded (by MaxSem; owner: Zoranzoki21):
[mediawiki/core@REL1_30] Removed Toki Pona localization files

https://gerrit.wikimedia.org/r/386311

Change 386311 merged by jenkins-bot:
[mediawiki/core@REL1_30] Removed Toki Pona localization files

https://gerrit.wikimedia.org/r/386311

Quiddity updated the task description. (Show Details)Oct 30 2017, 5:23 PM

This year we requested the language code "tok" for Toki Pona to SIL. We expect that they will accept this request in February 2018. Please don't remove everything in an irreversible way.

@Robin0van0der0vliet I don't think requests that about artificial languages can be approved by ISO 639 JAC because of this 2014 summary (e.g. from http://www-01.sil.org/iso639-3/cr_files/PastComments/CR_Comments_2014-054.pdf):

The ISO 639 family of standards is currently undergoing a revision process. Part of this process will include a review of the criteria for granting codes under the various parts. In anticipation that this language might not qualify under likely changes to tighten the criteria for constructed languages in the coming revision of standard, the RA is rejecting this request. After the criteria are clarified in the revision, it may be appropriate to resubmit. In the meantime, the part 2 code [art] is available for this language. The RA expects that application could be made to the IANA Language Subtag Registry for a subtag that could be used within the framework of BCP47 to create a language tag that would distinguish this particular language from other constructed languages.

Mostly everything listed here can be reverted with the same effort it takes to remove them.

siebrand added a comment.EditedNov 21 2017, 11:50 AM

It's been a long standing, non-codified policy that artificial/constructed languages will not be supported any more in MediaWiki (only those languages that were supported pre-2008 or so remain because getting them cleaned up would be messy, mostly politically). Re-instating support for Toki Pona would be a non-issue as far as I'm concerned.

Blahma added a subscriber: Blahma.Nov 21 2017, 12:43 PM

I happen to be one of the sysops on Toki Pona Wikia as well. The project is not very active, indeed, and I do not request any lift-up of its status on Wikimedia projects.

As for the ISO code, the community was told in 2009 to continue in the observed growth and resubmit a code request later. Cf. http://forums.tokipona.org/viewtopic.php?t=1022#p4827

Continuing the localization of Toki Pona Wikia in some way is vital for the project.

Until the recent changes, I and others used to contribute Toki Pona labels and descriptions to Wikidata and would feel sorry to see that work gone. According to https://www.wikidata.org/wiki/User:Pasleim/Language_statistics_for_items, there are now 1239 labels in Toki Pona, which is more than in 55 other supported languages.

NB: In contrast to these technical and permitted content language issues, my recent ticket T181033 relates to the mere possibility of stating that I speak a particular language (and can therefore use it in communication with other contributors – I hope that we will never come to the point of limiting the languages people can use to talk to each other on our projects).

@Blahma

Until the recent changes, I and others used to contribute Toki Pona labels and descriptions to Wikidata and would feel sorry to see that work gone. According to https://www.wikidata.org/wiki/User:Pasleim/Language_statistics_for_items, there are now 1239 labels in Toki Pona, which is more than in 55 other supported languages.

What about trying to get a BCP47 tag e.g. art-tokipona instead?

This kind of seems odd to me. Its seems to me like iso code really shouldnt matter (after all isnt that what x-foo is for?). What should matter is if there exists sites who want to use that localization, if there are people who want to maintain it and if its a serious language.

Robin_van_der_Vliet added a comment.EditedNov 23 2017, 9:33 AM

@Blahma

Until the recent changes, I and others used to contribute Toki Pona labels and descriptions to Wikidata and would feel sorry to see that work gone. According to https://www.wikidata.org/wiki/User:Pasleim/Language_statistics_for_items, there are now 1239 labels in Toki Pona, which is more than in 55 other supported languages.

What about trying to get a BCP47 tag e.g. art-tokipona instead?

Maybe that could be the next step after our latest proposal for "tok" get's rejected. The last time it got rejected, because Toki Pona is too new. In the meantime 10 years have passed and it is still a used language.
Our latest proposal is visible here: http://www-01.sil.org/iso639-3/chg_detail.asp?id=2017-035&lang=tok

This kind of seems odd to me. Its seems to me like iso code really shouldnt matter (after all isnt that what x-foo is for?). What should matter is if there exists sites who want to use that localization, if there are people who want to maintain it and if its a serious language.

Because "serious" is a subjective measurement, Wikimedia tries to do something similar to what Wikipedia does: avoid original research and stick to standard ISO codes. A standard ISO code is one measure of seriousness. (Even though ISO 639 occasionally makes mistakes. For example, it used to have a "eur" code for "Europanto", which was never supposed to be an actual artificial language, but a journalistic joke, barely remembered today.)

Another important point of standard language codes—and standards in general—is interoperability. We want to be able to exchange information with other sites as seamlessly as possible. Coining many art- or -x- language codes of our own is counterproductive in this regard. If there is actual serious demand for Toki Pona or any other artificial language, ISO 639 should be convinced first, not Wikimedia. I realize that Wikimedia sites may be the first place where a language is being used seriously, but using Wikimedia sites alone to prove that a language is "serious" is a slippery slope. There must be some boundaries. That's what the Language committee is for, among other things.

Liuxinyu970226 added a comment.EditedJan 29 2018, 11:31 PM
In T132899#3783350, @Robin0van0der0vliet wrote:

@Blahma

Until the recent changes, I and others used to contribute Toki Pona labels and descriptions to Wikidata and would feel sorry to see that work gone. According to https://www.wikidata.org/wiki/User:Pasleim/Language_statistics_for_items, there are now 1239 labels in Toki Pona, which is more than in 55 other supported languages.

What about trying to get a BCP47 tag e.g. art-tokipona instead?

Maybe that could be the next step after our latest proposal for "tok" get's rejected. The last time it got rejected, because Toki Pona is too new. In the meantime 10 years have passed and it is still a used language.
Our latest proposal is visible here: http://www-01.sil.org/iso639-3/chg_detail.asp?id=2017-035&lang=tok

Unfortunatelly that request hss also been rejected.

So any updated status here? I don't think Wikidata should still keep an error coded language.

Both patches are merged. Does that mean the first of the four checkboxes in the task description should be checked?

Liuxinyu970226 added a comment.EditedNov 17 2018, 9:02 AM

@Aklapper Shouldn't we also remove those dbs from deleted.dblist, by just DROP DATABASE?

  • tokiponawiki
  • tokiponawikibooks
  • tokiponawikiquote
  • tokiponawikisource
  • tokiponawiktionary
Zoranzoki21 updated the task description. (Show Details)Mar 30 2019, 1:04 AM

@Liuxinyu970226: Why do you ask me about that?

@Liuxinyu970226: Why do you ask me about that?

@Aklapper Because (s)he maybe thinks to you know it.